Bug 37257 - SMP 4.5 freezes
Summary: SMP 4.5 freezes
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 4.5-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-19 19:30 UTC by Pizik Ilya
Modified: 2003-08-16 04:30 UTC (History)
0 users

See Also:


Attachments
dmesg (8.82 KB, text/plain)
2002-04-20 10:06 UTC, polzun
no flags Details
sysctl (14.02 KB, text/plain)
2002-04-20 10:06 UTC, polzun
no flags Details
SCAR (3.25 KB, text/plain)
2002-04-20 10:06 UTC, polzun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pizik Ilya 2002-04-19 19:30:01 UTC
FreeBSD can freesez in any moment. I can ping it via net, but can not do something else. Localy mashine looks dead - no kbd, mouse actions and no video out, hdd led is inactive. Only reset can solve the problem.

Fix: 

It could be ata problem.
Comment 1 hiten pandya 2002-04-19 19:42:35 UTC
--- Pizik Ilya <polzun@ultra.v.gz.ru> wrote:
> >Description:
> FreeBSD can freesez in any moment. I can ping it via net, but can not do
> something else. Localy mashine looks dead - no kbd, mouse actions and no
> video out, hdd led is inactive. Only reset can solve the problem. 

Hello Pizik,

Could you please supply more information on this defact/problem, such as the 
dmesg(1) output on the victim system, your kernel configuration file.  This
will let us debug the problem more efficiently. Please send us the output of 
the following command:

  + dmesg -a
  + You kernel configuration file.

Thanks.

  -- Hiten Pandya
  -- <hiten@uk.FreeBSD.org>

__________________________________________________
Do You Yahoo!?
Yahoo! Tax Center - online filing with TurboTax
http://taxes.yahoo.com/
Comment 2 polzun 2002-04-20 10:06:35 UTC
Information that you have requested is attached

-- 
With respect, Pizik Ilya.
Comment 3 Kris Kennaway freebsd_committer 2003-07-14 10:33:45 UTC
State Changed
From-To: open->feedback

Does the problem persist with later releases?
Comment 4 Kris Kennaway 2003-08-16 04:29:45 UTC
Adding to audit trail

----- Forwarded message from Ilya Pizik <polzun@ultra.v.gz.ru> -----

X-Original-To: kkenn@localhost
Delivered-To: kkenn@localhost.obsecurity.org
X-Originating-IP: [128.125.38.123]
Delivered-To: kris@freebsd.org
Date: Sun, 20 Jul 2003 15:21:00 +0400
From: Ilya Pizik <polzun@ultra.v.gz.ru>
To: Kris Kennaway <kris@FreeBSD.org>
Cc: freebsd-bugs@FreeBSD.org
Subject: Re: kern/37257: SMP 4.5 freezes
In-Reply-To: <200307140933.h6E9Xup6086747@freefall.freebsd.org>
User-Agent: Mutt/1.4.1i
X-Operating-System: FreeBSD scar.jinr.ru 4.8-STABLE i386
X-Bogosity: No, tests=bogofilter, spamicity=0.000000, version=0.13.7.2

On Mon, Jul 14, 2003 at 02:33:56AM -0700, Kris Kennaway wrote:
K> Synopsis: SMP 4.5 freezes
K> 
K> State-Changed-From-To: open->feedback
K> State-Changed-By: kris
K> State-Changed-When: Mon Jul 14 02:33:45 PDT 2003
K> State-Changed-Why: 
K> Does the problem persist with later releases?
K> 
K> http://www.freebsd.org/cgi/query-pr.cgi?pr=37257

Yes
But I found in freebsd-smp mailing list the solution of this problem
I've disable apm in kernel configuration. So there are no deadlocks at this
moment.

-- 
With respect, Pizik Ilya.

----- End forwarded message -----
Comment 5 Kris Kennaway freebsd_committer 2003-08-16 04:29:50 UTC
State Changed
From-To: feedback->closed

Disabling APM worked around the problem.